commit:     10d947f4f4b2006423f2cf50f5a5aa5de39587c9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 24 06:46:30 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 24 07:07:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10d947f4

dev-python/wtforms: Bump to 2.3.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/wtforms/Manifest             |  1 +
 dev-python/wtforms/wtforms-2.3.1.ebuild | 49 +++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/wtforms/Manifest b/dev-python/wtforms/Manifest
index af2b52ac447..1946487d7fa 100644
--- a/dev-python/wtforms/Manifest
+++ b/dev-python/wtforms/Manifest
@@ -1 +1,2 @@
 DIST WTForms-2.2.1.tar.gz 156904 BLAKE2B 
bec7c526f72b264888f7be45ba15d2bc4d194b09adc8ca5806cfc04cd1671663c851b7f1c99c602bb3e13d14a38733be61613058e46481bcea59901ac1f5b6b2
 SHA512 
06478790a8a4bf728e5436edaa63c7c0e596f71d63b273e1f296f9255d9fa3e31a7bfa95971c214a8cea684034ac3c77b05371f4b4e14da9d9ef2c5afadabde0
+DIST WTForms-2.3.1.tar.gz 162773 BLAKE2B 
b51b5cb26c550a2502c8c70c1de91c7e6e320f60e2df3ab2b9a5cd755dbbb753d8d2fa05837657aa639929b380e8c65fd25182192538ccef837cae0869b19c80
 SHA512 
40b810d2d0ce6d2e7880615fb5c3b3e55cfade8e352be5d626d0de16f00a9ef4626ffa106b67d0cbef15e42513073db52ba1ceb04cb18146bba0ba9c26236fdd

diff --git a/dev-python/wtforms/wtforms-2.3.1.ebuild 
b/dev-python/wtforms/wtforms-2.3.1.ebuild
new file mode 100644
index 00000000000..6651bb04feb
--- /dev/null
+++ b/dev-python/wtforms/wtforms-2.3.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+inherit distutils-r1
+
+MY_PN="WTForms"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Flexible forms validation and rendering library for python web 
development"
+HOMEPAGE="https://wtforms.readthedocs.io/";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/markupsafe[${PYTHON_USEDEP}]"
+
+BDEPEND="
+       test? (
+               dev-python/Babel[${PYTHON_USEDEP}]
+               dev-python/python-dateutil[${PYTHON_USEDEP}]
+               dev-python/python-email-validator[${PYTHON_USEDEP}]
+               dev-python/sqlalchemy[${PYTHON_USEDEP}]
+               dev-python/webob[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+       # Extension-tests are written for an older version of Django
+       # Disable pep8 even when it is installed
+       sed \
+               -e "s|'ext_django.tests', ||" \
+               -e "/import pep8/d" \
+               -e "s|has_pep8 = True|has_pep8 = False|" \
+               -i tests/runtests.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       "${EPYTHON}" tests/runtests.py -v || die
+}

Reply via email to